GET /api/v3/report/{specificReportId}/share

Get sharing information for a report

GetReportSharingDetailsV3 Permissions: Reports (Run)
Only the user who created the report or a report administrator is permitted to get sharing details for a report.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificReportId The specific report for which to retrieve sharing information integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ShareResponse
Property Description Type
sharedUserGroups The list of user groups an item has been assigned to be shared with UserGroupChild[]
UserGroupChild properties
Property Description Type
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
sharedUsers The list of individual users an item has been assigned to be shared with This does NOT take into account users that are in a shared user group UserChild[]
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
sharedWithEveryone True if the item is shared with everyone boolean
Example Response application/json
{  "sharedUserGroups": [
    {    "userGroupId": 1,    "userGroupName": "string"
  }
  ],  "sharedUsers": [
    {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
  ],  "sharedWithEveryone": false
}